{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block content %}

        <div class="modal-dialog modal-dialog-centered" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalCenterTitle">Create a Subreddit</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <a href="{{ url_for('index') }}"><span aria-hidden="true">&times;</span></a> 
              </button>
            </div>
            <div class="modal-body">
                <form action="" method="POST">
                        {{ form.hidden_tag() }}
                        <p>
                                {{ form.subreddit_name.label }}<br>
                                {{ form.subreddit_name(size=32, class="form-control") }}<br>
                                {% for error in form.subreddit_name.errors %}
                                <span style="color: red;">[{{ error }}]</span>
                                {% endfor %}
                            </p>
                            <p>{{ form.submit(class="btn btn-primary") }}</p>
                </form>
            </div>
            <div class="modal-footer">
                <!-- <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button> -->
            </div>
          </div>
        </div>
      

    {% endblock %}